def _default_tool(name):
    if name == "search":
        from meta_researcher.tool.tools.search_tool import SearchTool
        return SearchTool()
    elif name == "wiki_search":
        from meta_researcher.tool.tools.wiki_search_tool import WikiSearchTool
        return WikiSearchTool()
    elif name == "python":
        from meta_researcher.tool.tools.python_tool import PythonTool
        return PythonTool()
    elif name == "calculator":
        from meta_researcher.tool.tools.calculator_tool import CalculatorTool
        return CalculatorTool() 
    elif name == "websearch":
        from meta_researcher.tool.tools.websearch_tool import WebSearchTool
        return WebSearchTool()
    elif name == "executor":
        from meta_researcher.tool.tools.executor_tool import ExeCutorTool
        return ExeCutorTool()  
    elif name == "fileparser":
        from meta_researcher.tool.tools.fileparser_tool import FileParseTool
        return FileParseTool()
    elif name == "Plan":
        from meta_researcher.tool.tools.plan_tool import PlanTool
        return PlanTool() 
    elif name == "Reflect":
        from meta_researcher.tool.tools.reflect_tool import ReflectTool
        return ReflectTool() 
    else:
        raise NotImplementedError(f"Tool {name} not implemented")